package model;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

public class CommentMod {
	
	 public void createComment(Comments cmt) {
		 Connection con = new DbConnection().getConnection();
		 try {
			 PreparedStatement ps = con.prepareStatement("INSERT INTO comment(owner, date, content) VALUES(?, ?, ?)");
			 ps.setString(1, cmt.getOwner());
			 ps.setString(2, cmt.getDate());
			 ps.setString(3, cmt.getContent());
			 ps.executeUpdate();
			 
			 ps.close();
			 con.close();
		 }catch (SQLException e) {
			 e.printStackTrace();
		 }
	}
	
	public List<Comments> getComments(int offset, int limit) throws SQLException {
		
		List<Comments> list = new ArrayList<Comments>();
		Connection con = new DbConnection().getConnection();
   
		PreparedStatement ps = con.prepareStatement("SELECT * FROM comment ORDER BY id LIMIT ? OFFSET ?");
		ps.setInt(1, limit);
		ps.setInt(2, offset);
		ResultSet rs = ps.executeQuery();
		Comments cm = null;
		
		while (rs.next()) {
			String id = rs.getString(1);
			String user = rs.getString(2);
			String date = rs.getString(3);
			String content = rs.getString(4);
			cm = new Comments(id, user, date, content);
			list.add(cm);
		}
		
		ps.close();
		con.close();
		return list;
	}
	
    public int getRecordNumber() throws SQLException {
    	int record = 0;
		Connection con = new DbConnection().getConnection();	
		PreparedStatement ps  = con.prepareStatement("SELECT COUNT(id) FROM comment");
		ResultSet rs = ps.executeQuery();
		
		while (rs.next()) { 	        	
			record = rs.getInt(1);
		}
		ps.close();
		con.close();
		return record;
	}
	
	public static void main(String[] args) throws SQLException {
		new CommentMod().createComment(new Comments("", "LuanXT", "Hom nay", "Noi dung day"));
	}
}
